# v.0.7

{% hint style="danger" %}
This version has been deprecated. If used with the current API version it can produce unexpected behaviour or errors.
{% endhint %}

{% hint style="danger" %}
The package shimoku-api-python is no longer maintained
{% endhint %}

{% hint style="info" %}
To get the new version :rocket:
{% endhint %}

```
pip install --upgrade shimoku-api-python
```

{% hint style="info" %}
With a lot of focus in tables through this new version we have fixed and enhanced different behaviors of the tables thanks to all our users feedback :heart\_decoration:
{% endhint %}

### Fixes <a href="#fixes" id="fixes"></a>

* Tables without filters can now sort values&#x20;
* Tables can now be at any order of the grid (before they could only be in the order=0)
* Tables have now horizontal scrolling for a large number of columns

![](/files/mtBtRHqg8ngf3R1YbWIr)

### Improvements <a href="#refactor" id="refactor"></a>

* Order menu path and sub-paths is now possible.

To sort paths use `set_apps_order()`

```python
apps_order: Dict = {'test': 0, 'more-test': 1}
s.plt.set_apps_orders(apps_order)
```

To sort sub-paths use `set_sub_path_order()`

```python
path_orders: Dict = {
    'test/sub-path': 0,
    'test/sub-path-2': 1,
    'app2/sub-path-x': 0,
}
s.plt.set_sub_path_orders()
```

* Table search added

```python
data_: List[Dict] = [
    {'date': dt.date(2021, 1, 1), 'x': 5, 'y': 5, 'filtA': 'A', 'filtB': 'Z', 'name': 'Ana'},
    {'date': dt.date(2021, 1, 2), 'x': 6, 'y': 5, 'filtA': 'B', 'filtB': 'Z', 'name': 'Laura'},
    {'date': dt.date(2021, 1, 3), 'x': 4, 'y': 5, 'filtA': 'A', 'filtB': 'W', 'name': 'Audrey'},
    {'date': dt.date(2021, 1, 4), 'x': 7, 'y': 5, 'filtA': 'B', 'filtB': 'W', 'name': 'Jose'},
    {'date': dt.date(2021, 1, 5), 'x': 3, 'y': 5, 'filtA': 'A', 'filtB': 'Z', 'name': 'Jorge'},
]

filter_columns: List[str] = ['filtA', 'filtB']
search_columns: List[str] = ['name']

s.plt.table(
    data=data_,
    menu_path='test/table-test',
    order=1, 
    filter_columns=filter_columns,
    sort_table_by_col={'date': 'asc'},
    search_columns=search_columns,
)
```

That results in&#x20;

![](/files/4Hkwv9Yvc6HbSFLVGVOz)

### New <a href="#refactor" id="refactor"></a>

* We have launched a new library <https://github.com/shimoku-tech/shimoku-components-catalog> to broad the scope of *html* components and visuals in Shimoku. You can install it running:

```
pip install shimoku-components-catalog
```

And create stuff such as:

![](/files/WdgBaSI66fCKWYbWiW2i)

### In memoriam

v0.7 in memoriam of Connery, Sean Connery. Liscence to plot.

![](/files/l1BcMJ9byiJCpt4rEpZn)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shimoku.com/dev/releases/2022/v.0.7.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
